ros-iron-rosapi (1.3.2-1jammy) jammy; urgency=high

  * Fix ROS2 CI for iron & rolling (#875 <https://github.com/RobotWebTools/rosbridge_suite/issues/875>)
  * Contributors: Hans-Joachim Krauch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 27 Sep 2023 00:00:00 -0000

ros-iron-rosapi (1.3.1-1jammy) jammy; urgency=high

  * Add graceful shutdown (#794 <https://github.com/RobotWebTools/rosbridge_suite/issues/794>)
  * Contributors: Hans-Joachim Krauch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-iron-rosapi (1.3.0-1jammy) jammy; urgency=high

  * Fixed /get_param service for arrays (#776 <https://github.com/RobotWebTools/rosbridge_suite/issues/776>)
  * Contributors: p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-iron-rosapi (1.2.0-1jammy) jammy; urgency=high

  * Added /rosapi/get_ros_version service (#708 <https://github.com/RobotWebTools/rosbridge_suite/issues/708>)
  * Fixed node name collision with websocket launch file (#707 <https://github.com/RobotWebTools/rosbridge_suite/issues/707>)
  * Contributors: Jacob Bandes-Storch, Kedus Mathewos, rob-clarke

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 00:00:00 -0000

ros-iron-rosapi (1.1.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 00:00:00 -0000

ros-iron-rosapi (1.1.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 00:00:00 -0000

ros-iron-rosapi (1.1.0-1jammy) jammy; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Remove unused service_host and search_param services (#660 <https://github.com/RobotWebTools/rosbridge_suite/issues/660>)
  * Migrate remaining linters to pre-commit (#657 <https://github.com/RobotWebTools/rosbridge_suite/issues/657>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 00:00:00 -0000

ros-iron-rosapi (1.0.8-1jammy) jammy; urgency=high

  * Add missing test_depends and buildtool_depends (#617 <https://github.com/RobotWebTools/rosbridge_suite/issues/617>)
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.7-1jammy) jammy; urgency=high

  * Load message definitions from .msg files; exclude /msg/ and include builtin_interfaces in combined definitions (#597 <https://github.com/RobotWebTools/rosbridge_suite/issues/597>)
  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.6-1jammy) jammy; urgency=high

  * Include /msg/ in type names (#591 <https://github.com/RobotWebTools/rosbridge_suite/issues/591>)
  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.5-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.4-1jammy) jammy; urgency=high

  * Include /msg/ in type names (#584 <https://github.com/RobotWebTools/rosbridge_suite/issues/584>)
    It's more canonical for ROS 2 type names to be of the form foo_msgs/msg/Bar rather than just foo_msgs/Bar. This is occasionally reflected in documentation and command line tooling: https://docs.ros.org/en/galactic/Tutorials/Topics/Understanding-ROS2-Topics.html#ros2-interface-show
    So rather than stripping out /msg/, we include it in the type definitions.
    See also: https://github.com/RobotWebTools/rosmsg/pull/12
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 11 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.3-1jammy) jammy; urgency=high

  * Add TopicsAndRawTypes service (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * fix: remove json encoding before setting string params (#521 <https://github.com/RobotWebTools/rosbridge_suite/issues/521>)
  * Update rosapi/proxy.py to match eloquent API (#447 <https://github.com/RobotWebTools/rosbridge_suite/issues/447>)
  * Contributors: Jacob Bandes-Storch, justinscorringe, travipross

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 03 Aug 2021 00:00:00 -0000

ros-iron-rosapi (1.0.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Sep 2019 00:00:00 -0000

ros-iron-rosapi (1.0.1-1jammy) jammy; urgency=high

  * fix missing dependency

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-iron-rosapi (1.0.0-1jammy) jammy; urgency=high

  * Port to ROS 2

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 Sep 2019 00:00:00 -0000

ros-iron-rosapi (0.11.3-1jammy) jammy; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 07 Aug 2019 00:00:00 -0000

ros-iron-rosapi (0.11.2-1jammy) jammy; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Jul 2019 00:00:00 -0000

ros-iron-rosapi (0.11.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-iron-rosapi (0.11.0-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 29 Mar 2019 00:00:00 -0000

ros-iron-rosapi (0.10.2-1jammy) jammy; urgency=high

  * Use Master.getTopicTypes() in /rosapi/topics to increase performance (#381 <https://github.com/RobotWebTools/rosbridge_suite/issues/381>)
  * Contributors: Affonso, Guilherme

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 04 Mar 2019 00:00:00 -0000

ros-iron-rosapi (0.10.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 16 Dec 2018 00:00:00 -0000

ros-iron-rosapi (0.10.0-1jammy) jammy; urgency=high

  * Drop use of ros Python module (#374 <https://github.com/RobotWebTools/rosbridge_suite/issues/374>)
  * Fixes passing of globs to proxy (#355 <https://github.com/RobotWebTools/rosbridge_suite/issues/355>)
    * Fixes handling and passing of globs to proxy
    * Removes some confusing imports
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Anwar, Dirk Thomas, Jochen Sprickerhof

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Dec 2018 00:00:00 -0000

ros-iron-rosapi (0.9.0-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-iron-rosapi (0.8.6-1jammy) jammy; urgency=high

  * Fixed action_servers filter to allow more than one namespace (#305 <https://github.com/RobotWebTools/rosbridge_suite/issues/305>)
    * Modified action_servers filter to detect topics with more than one namespace
    * Fixed to return the full namespace
  * Contributors: milesial

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 08 Dec 2017 00:00:00 -0000

ros-iron-rosapi (0.8.5-1jammy) jammy; urgency=high

  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Kartik Mohta

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 23 Nov 2017 00:00:00 -0000

ros-iron-rosapi (0.8.4-1jammy) jammy; urgency=high

  * Handles empty globes properly (#297 <https://github.com/RobotWebTools/rosbridge_suite/issues/297>)
    * Refactors get_globs function to a separate module
    * Refactors the filtering that uses the globs
    * Some linting
    * Handles topic types for empty globs
    * Refactors out an any_match function
    * Simplifies filter_action_servers
    * Imports socket for the errors
    * Uses import .glob_helper
  * Contributors: Anwar

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 16 Oct 2017 00:00:00 -0000

ros-iron-rosapi (0.8.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-iron-rosapi (0.8.2-1jammy) jammy; urgency=high

  * Removes array delimiters while parsing parameters (#292 <https://github.com/RobotWebTools/rosbridge_suite/issues/292>)
  * Contributors: Anwar

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 11 Sep 2017 00:00:00 -0000

ros-iron-rosapi (0.8.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-iron-rosapi (0.8.0-1jammy) jammy; urgency=high

  * fix delete_param in rosapi (#284 <https://github.com/RobotWebTools/rosbridge_suite/issues/284>)
  * Merge pull request #276 <https://github.com/RobotWebTools/rosbridge_suite/issues/276> from sevenbitbyte/DOCUMENT_GLOB
    Document glob
  * Update README.md
    Formatting and examples
  * Create README.md
  * Contributors: 7bit, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 30 Aug 2017 00:00:00 -0000

ros-iron-rosapi (0.7.17-1jammy) jammy; urgency=high

  * Added bug fix in rosapi
  * no rospy needed, just for debug logging
  * new service: get actionlib servers
  * adjust log level for security globs
    Normal operation (i.e. no globs or successful verification of requests) is now silent, with illegal requests producing a warning.
  * correct default values for security globs
    also accept empty list as the default "do not check globs" value in addition to None.
    Finally, append rosapi service glob after processing command line input so it's not overwritten
  * Added services_glob to CallServices, added globs to rosbridge_tcp and rosbridge_udp, and other miscellaneous fixes.
  * As per the suggestions of @T045T, fixed several typos, improved logging, and made some style fixes.
  * Fixed time object field definitions to match documentation.
  * Two minor fixes.
  * Added new parameters for topic and service security.
    Added 3 new parameters to rosapi and rosbridge_server which filter the
    topics, services, and parameters broadcast by the server to match an
    array of glob strings.
  * Contributors: Devon Ash, Eric, Marco Arruda, Nils Berg

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-iron-rosapi (0.7.16-1jammy) jammy; urgency=high

  * new srv: topics types and details
  * Contributors: Marco Arruda

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Aug 2016 00:00:00 -0000

ros-iron-rosapi (0.7.15-1jammy) jammy; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-iron-rosapi (0.7.14-1jammy) jammy; urgency=high

  * Update proxy.py
    Fixes an issue when call the service "/rosapi/service_type"
  * Contributors: Robert Codd-Downey

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 11 Feb 2016 00:00:00 -0000

ros-iron-rosapi (0.7.13-1jammy) jammy; urgency=high

  * Fix catkin_lint issues
  * Contributors: Matt Vollrath

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Aug 2015 00:00:00 -0000

ros-iron-rosapi (0.7.12-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Apr 2015 00:00:00 -0000

ros-iron-rosapi (0.7.11-1jammy) jammy; urgency=high

  * rename rosapi script to rosapi_node to address #170 <https://github.com/RobotWebTools/rosbridge_suite/issues/170>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 23 Mar 2015 00:00:00 -0000

ros-iron-rosapi (0.7.10-1jammy) jammy; urgency=high

  * Make get_topics() and get_topic_type() reference the full list of active topics.
  * Contributors: Justin Huang

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Feb 2015 00:00:00 -0000

ros-iron-rosapi (0.7.9-1jammy) jammy; urgency=high

  * add findding service function as specific service type
  * Contributors: dwlee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 24 Feb 2015 00:00:00 -0000

ros-iron-rosapi (0.7.8-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-iron-rosapi (0.7.7-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Jan 2015 00:00:00 -0000

ros-iron-rosapi (0.7.6-1jammy) jammy; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.5-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 26 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.2-1jammy) jammy; urgency=high

  * 0.7.1
  * update changelog
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 09 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.7.0-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 02 Dec 2014 00:00:00 -0000

ros-iron-rosapi (0.6.8-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-iron-rosapi (0.6.7-1jammy) jammy; urgency=high

  * updated package manifests
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 22 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.6-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 21 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.5-1jammy) jammy; urgency=high

  * 0.6.4
  * update changelog
  * 0.6.3
  * update change log
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 14 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 07 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-iron-rosapi (0.6.1-1jammy) jammy; urgency=high

  * make rosapis use absolute namespace
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Sep 2014 00:00:00 -0000

ros-iron-rosapi (0.6.0-1jammy) jammy; urgency=high

  * Ensure proper locking for Parameter Server access
  * Contributors: Lasse Rasinen

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 23 May 2014 00:00:00 -0000

ros-iron-rosapi (0.5.4-1jammy) jammy; urgency=high

  * add rosnode and rosgraph
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-iron-rosapi (0.5.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-iron-rosapi (0.5.2-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 14 Mar 2014 00:00:00 -0000

ros-iron-rosapi (0.5.1-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 31 Oct 2013 00:00:00 -0000

ros-iron-rosapi (0.5.0-1jammy) jammy; urgency=high

  * 0.5.0 preparation for hydro release
  * Removes trailing commas.
  * removing global bin installation in setup.py
  * Contributors: Brandon Alexander, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-iron-rosapi (0.4.4-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Apr 2013 00:00:00 -0000

ros-iron-rosapi (0.4.3-1jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:24:00 -0000

ros-iron-rosapi (0.4.2-1jammy) jammy; urgency=high

  * eclipse projects removed
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 03 Apr 2013 08:12:00 -0000

ros-iron-rosapi (0.4.1-1jammy) jammy; urgency=high

  * fixes import issue in rosapi
  * Contributors: Russell Toris

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 07 Mar 2013 00:00:00 -0000

ros-iron-rosapi (0.4.0-1jammy) jammy; urgency=high

  * Fixes ambiguous params class reference.
  * Uses only 1 .gitignore to avoid confusion.
  * Fixing rosapi's "Cannot include proxy..." errors.
  * Adds BSD license header to code files.
    See Issue #13 <https://github.com/RobotWebTools/rosbridge_suite/issues/13>.
  * rosbridge_server requires rosapi.
  * Adds message and service generation to rosapi.
  * Adding setup.py to rosapi.
  * Clarifies name of rosapi is rosapi.
  * Catkinizes rosapi.
  * Collapse directory structure.
  * Contributors: Austin Hendrix, Brandon Alexander

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 Mar 2013 00:00:00 -0000


